From af34ffb86a1b8717e542edca97d7d96e6bd90f08 Mon Sep 17 00:00:00 2001
From: Miroslav Rezanina <mrezanin@redhat.com>
Date: Thu, 22 Aug 2013 12:06:40 +0200
Subject: Place rpm version info into version banner

RH-Author: Miroslav Rezanina <mrezanin@redhat.com>
Message-id: <1377173200-17433-1-git-send-email-mrezanin@redhat.com>
Patchwork-id: 53692
O-Subject: [RHEL7 seabios PATCH] Place rpm version info into version banner
Bugzilla: 894979
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
RH-Acked-by: Bandan Das <bsd@redhat.com>
RH-Acked-by: Michal Novotny <minovotn@redhat.com>

From: Miroslav Rezanina <mrezanin@redhat.com>

Bugzilla: 894979
Brew: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=6199274

This patch introduces two changes:

1) Do not append date and hostname to version string.

2) Use rpm version insted of git commit as the version string.

Both changes are trivial so they are not posted in separate patches.

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 redhat/seabios.spec.template | 5 ++---
 tools/buildversion.sh        | 1 -
 2 files changed, 2 insertions(+), 4 deletions(-)

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>

Conflicts:
	redhat/seabios.spec.template - We solved 1) in rebase commit
---
 scripts/buildversion.sh | 1 -
 1 file changed, 1 deletion(-)

diff --git a/scripts/buildversion.sh b/scripts/buildversion.sh
index e5ce96c..338b7f0 100755
--- a/scripts/buildversion.sh
+++ b/scripts/buildversion.sh
@@ -11,7 +11,6 @@ elif [ -f .version ]; then
 else
     VERSION="?"
 fi
-VERSION="${VERSION}-`date +"%Y%m%d_%H%M%S"`-`hostname`"
 echo "Version: ${VERSION}"
 
 # Build header file
-- 
1.9.3

